%global pypi_name josepy

Name:           python-%{pypi_name}
Version:        2.0.0
Release:        %mkrel 2
Summary:        JOSE protocol implementation in Python
License:        ASL 2.0
Group:          Development/Python
URL:            https://pypi.org/project/josepy
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
JOSE protocol implementation in Python using cryptography.

%package -n     python3-%{pypi_name}
Summary:        JOSE protocol implementation in Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
JOSE protocol implementation in Python using cryptography.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -x docs

%build
%pyproject_wheel

# Build documentation
PYTHONPATH=$(pwd)/src make -C docs man html SPHINXBUILD=sphinx-build
rm -rf docs/_build/html/.buildinfo

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

install -pD -t %{buildroot}%{_mandir}/man1 docs/_build/man/*.1*

# handle in files section
rm -rf %{buildroot}%{python3_sitelib}/CHANGELOG.rst
rm -rf %{buildroot}%{python3_sitelib}/CONTRIBUTING.md

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc docs/_build/html/
%doc README.rst CHANGELOG.rst CONTRIBUTING.md
%{_bindir}/jws
%{_mandir}/man1/*


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2.0.0-2.mga10
+ Revision: 2240850
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 2.0.0-1.mga10
+ Revision: 2158073
- new version 2.0.0
- rebuild for python3.13

* Thu Feb 20 2025 daviddavid <daviddavid> 1.15.0-1.mga10
+ Revision: 2150117
- new version: 1.15.0

* Sat Jan 20 2024 wally <wally> 1.14.0-1.mga10
+ Revision: 2032410
- new version 1.14.0
- use pyproject rpm macros

* Thu Mar 17 2022 kekepower <kekepower> 1.13.0-1.mga9
+ Revision: 1797407
- Update to version 1.13.0

* Mon Feb 14 2022 tv <tv> 1.12.0-2.mga9
+ Revision: 1774373
- Fix filelist for python-3.10
+ neoclust <neoclust>
- Rebuild for python 3.10

* Sun Jan 16 2022 guillomovitch <guillomovitch> 1.12.0-1.mga9
+ Revision: 1768682
- new version 1.12.0

* Sun Nov 28 2021 guillomovitch <guillomovitch> 1.11.0-1.mga9
+ Revision: 1759736
- new version 1.11.0

* Sat Oct 30 2021 guillomovitch <guillomovitch> 1.10.0-1.mga9
+ Revision: 1753340
- new version 1.10.0

* Sun Sep 26 2021 guillomovitch <guillomovitch> 1.9.0-1.mga9
+ Revision: 1746434
- new version 1.9.0

* Sat Mar 20 2021 guillomovitch <guillomovitch> 1.8.0-1.mga9
+ Revision: 1705898
- new version 1.8.0

* Fri Feb 26 2021 guillomovitch <guillomovitch> 1.7.0-1.mga9
+ Revision: 1691701
- new version 1.7.0

* Sun Nov 08 2020 guillomovitch <guillomovitch> 1.5.0-1.mga8
+ Revision: 1643732
- new version 1.5.0

* Sat Aug 29 2020 guillomovitch <guillomovitch> 1.4.0-2.mga8
+ Revision: 1619547
- fix dependencies

* Tue Aug 25 2020 guillomovitch <guillomovitch> 1.4.0-1.mga8
+ Revision: 1618873
- new version

* Thu Feb 20 2020 umeabot <umeabot> 1.3.0-2.mga8
+ Revision: 1546132
- Mageia 8 Mass Rebuild

* Fri Jan 31 2020 guillomovitch <guillomovitch> 1.3.0-1.mga8
+ Revision: 1486139
- new version 1.3.0

* Sun Sep 15 2019 guillomovitch <guillomovitch> 1.2.0-3.mga8
+ Revision: 1441000
- drop python2 support

* Tue Aug 20 2019 wally <wally> 1.2.0-2.mga8
+ Revision: 1430444
- build html docs

* Thu Jul 04 2019 guillomovitch <guillomovitch> 1.2.0-1.mga8
+ Revision: 1418571
- new version 1.2.0

* Mon Jan 07 2019 kekepower <kekepower> 1.1.0-3.mga7
+ Revision: 1350352
- Rebuild for Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.1.0-2.mga7
+ Revision: 1289154
- Mageia 7 Mass Rebuild

* Sun Apr 22 2018 guillomovitch <guillomovitch> 1.1.0-1.mga7
+ Revision: 1221009
- new version 1.1.0

* Thu Feb 08 2018 guillomovitch <guillomovitch> 1.0.1-2.mga7
+ Revision: 1199700
- python2-enum34 is also a runtime dependency

* Wed Feb 07 2018 guillomovitch <guillomovitch> 1.0.1-1.mga7
+ Revision: 1199567
- imported package python-josepy

